Bug 153166 - [PATCH] fix www/opera plist when KDE4 option is enabled & dependencies
Summary: [PATCH] fix www/opera plist when KDE4 option is enabled & dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-15 05:20 UTC by Steve Wills
Modified: 2010-12-16 10:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.23 KB, patch)
2010-12-15 05:20 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills 2010-12-15 05:20:04 UTC
When I enable the KDE4 option in www/opera and build in my ports tinderbox, it reports a plist error. Also, in the log I see a call to update-desktop-database which isn't found. The attached patch fixes the plist in KDE4 option case and adds USE_GNOME=desktopfileutils so that update-desktop-database is available.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-12-15 05:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-12-15 18:45:34 UTC
dinoex      2010-12-15 18:45:30 UTC

  FreeBSD ports repository

  Modified files:
    www/opera            Makefile pkg-plist 
  Log:
  PR:     153166
  Submitted by:   Steve Wills
  
  Revision  Changes    Path
  1.100     +7 -0      ports/www/opera/Makefile
  1.42      +2 -0      ports/www/opera/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2010-12-15 18:52:43 UTC
State Changed
From-To: open->closed

committed with changes, thanks.
Comment 4 poyopoyo 2010-12-16 08:59:38 UTC
Hi Steve,

At Wed, 15 Dec 2010 05:17:10 GMT,
Steve Wills wrote:
> and adds USE_GNOME=desktopfileutils so that update-desktop-database is available.

This is designed to be safe("|| true"). What is a problem? As Opera
works without GNOME bit at all, it should be optional for non-GNOME
system.

> Index: Makefile
> ===================================================================
> RCS file: /home/ncvs/ports/www/opera/Makefile,v
> retrieving revision 1.99
> diff -u -r1.99 Makefile
> --- Makefile	26 Oct 2010 16:48:18 -0000	1.99
> +++ Makefile	15 Dec 2010 05:03:40 -0000
> @@ -37,6 +37,7 @@
>  
>  USE_BZIP2=	yes
>  USE_XORG=	x11 xext sm ice xft xrender
> +USE_GNOME=	desktopfileutils
>  INSTALLS_ICONS=	yes
>  
>  MAN1=		opera.1 opera-widget-manager.1

I'm fine with it being enclosed within WITH_GTK case.

-- 
kuro
Comment 5 poyopoyo 2010-12-16 09:33:20 UTC
Nevermind, I've just seen this committed already. Thanks Dirk.
Comment 6 poyopoyo 2010-12-16 10:23:00 UTC
By further investivation, I come to think that these files should be
handled by update-mime-database command at @unexec like all KDE ports
do. How do you think, Dirk?

-- 
kuro

diff -ur /usr/ports/www/opera/Makefile ./Makefile
--- /usr/ports/www/opera/Makefile	2010-12-16 03:45:29.000000000 +0900
+++ ./Makefile	2010-12-16 19:03:20.000000000 +0900
@@ -69,9 +69,6 @@
 
 .if defined(WITH_GTK) || defined(WITH_KDE4)
 USE_GNOME+=	desktopfileutils
-PLIST_SUB+=	MIME=""
-.else
-PLIST_SUB+=	MIME="@comment "
 .endif
 
 .include <bsd.port.pre.mk>
Only in .: p
diff -ur /usr/ports/www/opera/pkg-plist ./pkg-plist
--- /usr/ports/www/opera/pkg-plist	2010-12-16 03:45:29.000000000 +0900
+++ ./pkg-plist	2010-12-16 19:18:37.000000000 +0900
@@ -44,8 +44,6 @@
 share/icons/hicolor/scalable/apps/opera-widget-manager.svg
 share/icons/hicolor/scalable/apps/opera-widget.svg
 share/icons/hicolor/scalable/mimetypes/opera-unite-application.svg
-%%MIME%%share/mime/application/x-opera-uniteapplication.xml
-%%MIME%%share/mime/application/x-opera-widgets.xml
 share/mime/packages/opera-unite-application.xml
 share/mime/packages/opera-widget.xml
 %%DATADIR%%/defaults/bookmarks.adr
@@ -414,3 +412,4 @@
 @dirrm lib/opera/gstreamer
 @dirrm lib/opera
 @unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime > /dev/null || /usr/bin/true